Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cactus.internal
Class AbstractCactusTestCase

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.apache.cactus.internal.AbstractCactusTestCase

All Implemented Interfaces:
  junit.framework.Test

Direct Known Subclasses:
  ServletTestCase

public abstract class AbstractCactusTestCase
extends junit.framework.TestCase

Base class for all Cactus test case extensions. Note: We must not add any method that can be called by the end user to this class as users will those methods and it will create a runtime dependency to this class. We will then have to break binary compatibility if we wish to move this class around or change its implementation.

Since:
  1.6
Version:
  $Id: AbstractCactusTestCase.java 238991 2004-05-22 11:34:50Z vmassol $

Constructor Summary
`AbstractCactusTestCase()` Default constructor defined in order to allow creating Test Case without needing to define constructor (new feature in JUnit 3.8.1).
`AbstractCactusTestCase(java.lang.String theName)` Constructs a JUnit test case with the given name.
`AbstractCactusTestCase(java.lang.String theName, junit.framework.Test theTest)` Wraps a pure JUnit Test Case in a Cactus Test Case.

Method Summary
`protected abstract ProtocolHandler` | `createProtocolHandler()` Create a protocol handler instance that will be used to connect to the server side.
`void` | `runBare()` JUnit method that is used to run the tests.
`void` | `runBareServer()`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runTest, setName, setUp, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AbstractCactusTestCase

    public AbstractCactusTestCase()

  Default constructor defined in order to allow creating Test Case without needing to define constructor (new feature in JUnit 3.8.1). Should only be used with JUnit 3.8.1 or greater.

### AbstractCactusTestCase

    public AbstractCactusTestCase(java.lang.String theName)

  Constructs a JUnit test case with the given name.

Parameters:
  `theName` - the name of the test case

### AbstractCactusTestCase

    public AbstractCactusTestCase(java.lang.String theName,
                                  junit.framework.Test theTest)

  Wraps a pure JUnit Test Case in a Cactus Test Case.

Parameters:
  `theName` - the name of the test
  `theTest` - the Test Case class to wrap

Method Detail

### createProtocolHandler

    protected abstract ProtocolHandler createProtocolHandler()

  Create a protocol handler instance that will be used to connect to the server side.

  Returns:
    the protocol handler instance

### runBare

    public void runBare()
                 throws java.lang.Throwable

  JUnit method that is used to run the tests. However, we're intercepting it so that we can call the server side of Cactus where the tests will be run (instead of on the client side).

  Throws:
    `java.lang.Throwable` - if any exception is thrown during the test. Any exception will be displayed by the JUnit Test Runner

### runBareServer

    public void runBareServer()
                       throws java.lang.Throwable

  Throws:
    `java.lang.Throwable`
  See Also:
    `CactusTestCase.runBareServer()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2004 Apache Software Foundation. All Rights Reserved.